DEBSUMS(1)

NAMN
debsums - kontrollera MD5-kontrollsummorna för installerade Debian-paket

SYNOPSIS
debsums [flaggor] [paket|deb] ...

BESKRIVNING
Verifiera installerade Debian-paketfiler mot lista av MD5-kontrollsummor från /var/lib/dpkg/info/*.md5sums.

debsums kan generera listor av kontrollsummor från deb-arkiven för paket som inte inkluderar en.

FLAGGOR

-a, --all
    Kontrollera även konfigurationsfiler (normalt sett exkluderat).

-e, --config
    Endast kontrollera konfigurationsfiler.

-c, --changed
    Rapportera ändrad fillista till standard ut (antyder -s).

-l, --list-missing
    Lista paket (eller deb-arkiv) som inte har en fil med MD5-kontrollsumma.

-s, --silent
    Rapportera endast fel.

-m, --md5sums=fil
    Läs in lista av deb-kontrollsummor från fil.

-r, --root=katalog
    Rotkatalog att kontrollera (standard /).

-d, --admindir=katalog
    Administrationskatalog för dpkg (standard /var/lib/dpkg).

-p, --deb-path=katalog[:katalog...]
    Kataloger som ska letas i efter deb-filer som härstammar från paketnamnet (standard är aktuell katalog).

    Ett användbart värde är /var/cache/apt/archives när apt-get autoclean används eller när cachen inte rensas alls. Kommandot:

        apt-get --reinstall -d install `debsums -l`

    kan användas för att befolka cachen med de deb-filer som inte redan finns i cachen.

    Notera: Det här fungerar inte för cd-rom och andra lokala källor eftersom paket inte kopieras till /var/cache. Enkla fil-källor (alla deb-filer i en enda katalog) bör läggas till i listan -p.

-g, --generate=[missing|all][,nocheck]
    Generera MD5-kontrollsummor från deb-innehåll. Om argumentet är ett paketnamn istället för än ett deb-arkiv, kommer programmet att leta efter en deb med namnet package_version_arch.deb i katalogerna som anges med flaggan -p.

    missing
        Generera MD5-kontrollsummor från deb-filen för paket som inte har en.

    all Ignorera kontrollsummorna på disken och använd den som anges i deb-filen, eller genererad från den om ingen existerar.

    nocheck
        De extraherade/genererade summorna kontrolleras inte mot det installerade paketet.

    För bakåtkompatibilitet, den korta flaggan -g är likvärdig med --generate=missing.

--no-locale-purge
    Rapportera saknade lokalfiler även om localepurge är konfigurerad.

--no-prelink
    Rapportera ändrade ELF-filer även om prelink är konfigurerad.

--ignore-permissions
    Hantera rättighetsfel som varningar när den inte körs som root-användaren.

--ignore-obsolete
    Ignore obsolete conffiles.

--help
--version
    Skriv ut hjälp och versionsinformation.

FELKODER
debsums returnerar 0 vid framgång, eller en kombination* av följande värden vid fel:

1   Ett angivet paket eller arkivnamn var inte installerat, ogiltigt eller så stämde den installerade versionen inte med angivet arkiv.

2   Ändrade eller saknade paketfiler, eller felaktig kontrollsumma på ett arkiv.

255 Ogiltig flagga.

*Om båda av de första två tillstånden är sanna, kommer felkoden att vara 3.

EXEMPEL

debsums foo bar
    Kontrollera summorna för installerade paket foo och bar.

debsums foo.deb bar.deb
    Som ovan, använder kontrollsummor från (eller genererade från) arkiven.

debsums -l
    Lista installerade paket som saknar kontrollsummor.

debsums -ca
    Lista ändrade paketfiler från alla installerade paket med kontrollsummor.

debsums -ce
    Lista ändrade konfigurationsfiler.

debsums -cagp /var/cache/apt/archives
    Som ovan, använder kontrollsummor från cachade deb-filer om tillgängliga.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Installerar om paket med förändrade filer.

RESULTAT

OK  Filens md5sum-värde är korrekt.

MISSLYCKADES
    Filens md5sum-värde är inte korrekt.

ERSATT
    Filen har ersatts av en fil från ett annat paket.

SE OCKSÅ
md5sum(1),

MILJÖ

TMPDIR
    Katalog för extrahering av information och innehåll från paketarkiven (/tmp som standard).

FÄLLOR
I allmänhet kan programmet köras som en normal användare, vissa paket innehåller dock filer som inte är globalt läsbara och de kan då inte kontrolleras. Rotprivilegier krävs också vid generering av summor med flaggan keep inställd.

Filer som har ersatts av andra paket kan av misstag rapporteras som ändrade.

debsums är primärt tänkt som ett sätt att fastställa vilka installerade filer som har modifierats lokalt av administratören eller skadats av mediafel och har begränsad användning som ett säkerhetsverktyg.

Om du letar efter en integritetskontrollerare som kan köra från säkra media, gör integritetskontroller mot databaser av kontrollsummor och kan enkelt konfigureras att köras periodiskt för att varna administratören för ändringar, se andra verktyg såsom: aide, integrit, samhain eller tripwire.

UPPHOVSMAN
Skrivet av Brendan O'Dea <bod@debian.org>.
Baserat på ett program av Christoph Lameter <clameter@debian.org> och Petr Cech <cech@debian.org>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
Det här är fri programvara, licenserad under villkoren för GNU General Public License. Det finns INGEN garanti; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR NÅGOT SPECIELLT ÄNDAMÅL.